Change log for juju-core package in Ubuntu

175 of 122 results
Published in xenial-updates on 2018-02-15
Deleted in xenial-proposed (Reason: moved to -updates)
juju-core (2.3.2-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release. (LP: #1744968)

 -- Mathieu Trudel-Lapierre <email address hidden>  Wed, 07 Feb 2018 15:35:21 -0500
Superseded in xenial-updates on 2018-02-15
Deleted in xenial-proposed on 2018-02-17 (Reason: moved to -updates)
juju-core (2.3.1-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release. (LP: #1718213)

Published in zesty-updates on 2017-12-19
Deleted in zesty-proposed (Reason: moved to -updates)
juju-core (2.3.1-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream release. (LP: #1718213)

Superseded in xenial-proposed on 2017-12-14
juju-core (2.2.6-0ubuntu0.16.04.3) xenial; urgency=medium

  * Only juju 2.3+ supports cidr expansion for no proxy, fix for 2.2

Superseded in zesty-proposed on 2017-12-14
juju-core (2.2.6-0ubuntu0.17.04.3) zesty; urgency=medium

  * Only juju 2.3+ supports cidr expansion for no proxy, fix for 2.2

Superseded in zesty-proposed on 2017-11-21
juju-core (2.2.6-0ubuntu0.17.04.2) zesty; urgency=medium

  * Add no_proxy for lxd subnet in support of adt tests

Superseded in xenial-proposed on 2017-11-21
juju-core (2.2.6-0ubuntu0.16.04.2) xenial; urgency=medium

  * Add no_proxy for lxd subnet in support of adt tests

Superseded in xenial-proposed on 2017-11-14
juju-core (2.2.6-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release. (LP: #1718213)
  * Simplify use of embedded dependencies
  * Remove DH_VERBOSE=1
  * Ensure juju bootstrap succeeds with bionic in distro-info-data (LP: #1727355)

Superseded in zesty-proposed on 2017-11-14
juju-core (2.2.6-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream release. (LP: #1718213)
  * Simplify use of embedded dependencies
  * Remove DH_VERBOSE=1
  * Ensure juju bootstrap succeeds with bionic in distro-info-data (LP: #1727355)

Superseded in zesty-proposed on 2017-11-02
juju-core (2.2.4-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream release. (LP: #1718213)
  * Remove debian/patches/CVE-2017-9232.patch, included upstream.
  * Improved support for mixing vendored and archive dependencies.
  * Killed old code for building on saucy, precise and with gccgo.
  * Embed Go 1.8.3 as upstream no longer builds with Go 1.6. (Note that
    golang-go is still a build dependency as it is required to build the
    embedded go 1.8.3).
  * Switch golang.org/x/crypto dependency to vendorized.

 -- Michael Hudson-Doyle <email address hidden>  Fri, 29 Sep 2017 10:01:07 -0400
Superseded in xenial-proposed on 2017-11-02
juju-core (2.2.4-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release. (LP: #1718213)
  * Remove debian/patches/CVE-2017-9232.patch, included upstream.
  * Improved support for mixing vendored and archive dependencies.
  * Killed old code for building on saucy, precise and with gccgo.
  * Embed Go 1.8.3 as upstream no longer builds with Go 1.6.
  * Switch golang.org/x/crypto dependency to vendorized.

 -- Michael Hudson-Doyle <email address hidden>  Fri, 29 Sep 2017 10:01:07 -0400
Superseded in xenial-updates on 2017-12-19
Published in xenial-security on 2017-05-26
juju-core (2.0.2-0ubuntu0.16.04.2) xenial-security; urgency=medium

  * SECURITY UPDATE: Privilege escalation via juju-run (LP: #1682411)
    - debian/patches/CVE-2017-9232.patch: create a unix domain socket with
      restricted permissions to limit juju-run to only similarly privileged
      processes.
    - CVE-2017-9232

 -- Seth Arnold <email address hidden>  Thu, 25 May 2017 17:09:11 -0700
Obsolete in yakkety-updates on 2018-01-23
Obsolete in yakkety-security on 2018-01-23
juju-core (2.0.2-0ubuntu0.16.10.2) yakkety-security; urgency=medium

  * SECURITY UPDATE: Privilege escalation via juju-run (LP: #1682411)
    - debian/patches/CVE-2017-9232.patch: create a unix domain socket with
      restricted permissions to limit juju-run to only similarly privileged
      processes.
    - CVE-2017-9232

 -- Seth Arnold <email address hidden>  Thu, 25 May 2017 17:28:34 -0700
Superseded in zesty-updates on 2017-12-19
Published in zesty-security on 2017-05-26
juju-core (2.0.2-0ubuntu2.1) zesty-security; urgency=medium

  * SECURITY UPDATE: Privilege escalation via juju-run (LP: #1682411)
    - debian/patches/CVE-2017-9232.patch: create a unix domain socket with
      restricted permissions to limit juju-run to only similarly privileged
      processes.
    - CVE-2017-9232

 -- Seth Arnold <email address hidden>  Thu, 25 May 2017 17:32:58 -0700
Published in trusty-updates on 2017-05-26
Published in trusty-security on 2017-05-26
juju-core (1.25.6-0ubuntu1.14.04.2) trusty-security; urgency=medium

  * SECURITY UPDATE: Privilege escalation via juju-run (LP: #1682411)
    - debian/patches/CVE-2017-9232.patch: create a unix domain socket with
      restricted permissions to limit juju-run to only similarly privileged
      processes.
    - CVE-2017-9232

 -- Seth Arnold <email address hidden>  Thu, 25 May 2017 16:37:56 -0700
Deleted in artful-release (Reason: Removed at request of upstream LP: #1669507)
Published in zesty-release on 2017-02-17
Deleted in zesty-proposed (Reason: moved to release)
juju-core (2.0.2-0ubuntu2) zesty; urgency=medium

  * Update debian/tests/setup-lxd.sh to support LXD storage API.

 -- St├ęphane Graber <email address hidden>  Fri, 17 Feb 2017 00:17:30 -0500

Available diffs

Superseded in yakkety-updates on 2017-05-26
Deleted in yakkety-proposed on 2017-05-28 (Reason: moved to -updates)
juju-core (2.0.2-0ubuntu0.16.10.1) yakkety; urgency=medium

  * Backport upstream release 2.0.2 (LP: #1648894)
  * d/copyright Updated for 2.0.2 vendored packages.

 -- <email address hidden> (Curtis C. Hovey)  Thu, 15 Dec 2016 17:19:57 +0000
Superseded in xenial-updates on 2017-05-26
Deleted in xenial-proposed on 2017-05-28 (Reason: moved to -updates)
juju-core (2.0.2-0ubuntu0.16.04.1) xenial; urgency=medium

  * Backport upstream release 2.0.2 (LP: #1648894)
  * d/copyright Updated for 2.0.2 vendored packages

 -- <email address hidden> (Curtis C. Hovey)  Thu, 15 Dec 2016 18:07:37 +0000
Superseded in zesty-release on 2017-02-17
Deleted in zesty-proposed on 2017-02-18 (Reason: moved to release)
juju-core (2.0.2-0ubuntu1) zesty; urgency=medium

  * New upstream release 2.0.2 (LP: #1648894)
  * d/copyright Updated for 2.0.2 vendored packages.

 -- <email address hidden> (Curtis C. Hovey)  Thu, 15 Dec 2016 04:21:04 +0000
Superseded in yakkety-updates on 2017-02-15
Deleted in yakkety-proposed on 2017-02-16 (Reason: moved to -updates)
juju-core (2.0.0-0ubuntu0.16.10.3) yakkety; urgency=medium

  * debian/control: Fix the build failure due to dependency issues.
    (LP: #1617440)
    - Nope, we really don't want a Build-Depends on golang-github-coreos-go-
      systemd-dev.
    - Drop golang-go.crypto from Build-Depends.

Superseded in zesty-proposed on 2017-01-13
juju-core (2.0.0-0ubuntu2) zesty; urgency=medium

  * Restore golang-github-coreos-go-systemd-dev
  * Fix missing dh_install for sysctl file (LP: #1631038)

 -- Nicholas Skaggs <email address hidden>  Mon, 31 Oct 2016 13:41:40 -0400

Available diffs

Superseded in yakkety-proposed on 2016-11-06
juju-core (2.0.0-0ubuntu0.16.10.2) yakkety; urgency=medium

  * Restore golang-github-coreos-go-systemd-dev
  * Fix missing dh_install for sysctl file (LP: #1631038)

 -- Nicholas Skaggs <email address hidden>  Mon, 31 Oct 2016 13:41:40 -0400
Superseded in xenial-updates on 2017-02-15
Deleted in xenial-proposed on 2017-02-16 (Reason: moved to -updates)
juju-core (2.0.0-0ubuntu0.16.04.2) xenial; urgency=medium

  * DPKG_MAINTSCRIPT_ARCH doesn't work in .config, use dpkg check (LP: #1614969)

 -- Nicholas Skaggs <email address hidden>  Mon, 31 Oct 2016 15:55:49 -0400
Superseded in xenial-proposed on 2016-11-01
juju-core (2.0.0-0ubuntu0.16.04.1) xenial-proposed; urgency=medium

  [ Nicholas Skaggs ]
  * New upstream release 2.0.0 (LP: #1617440)
  * Disable future manual provider test (LP: #1629376)
  * Add sysctl files for lxd provider (LP: #1631038)
  * Juju can interact with LXD > 2.0 (LP: #1614559)
  * Change LXD to depends to ensure autopkgtest run on LXD upload (LP: #1614724)
  * d/copyright updated for 2.0.0 vendored packages.
  * Update bootstrap order for autpopkgtests for juju cli changes
  * Display debconf note upon install or upgrade for unsupported architectures
  * Skip autopkgtests on unsupported arches
  * Fix lxd-provider test to utilize *_proxy settings and provide additional info
  * Add template and config files for debconf messaging
  * Remove all quilt patches
  * Add upstream signing key
  * Update watch file to point to lp.net/juju to reflect project move
  * Add po-debconf dependency for template translation support

  [ Mathieu Trudel-Lapierre ]
  * debian/*.postinst: use DPKG_MAINTSCRIPT_ARCH to detect architectures
  * debian/control: Depends on golang-golang-x-crypto-dev
    (>= 1:0.0~git20161012.0.5f3178)

  [Curtis Hovey]
  * d/t/setup-lxd.sh support lxd 2.0 and 2.3 network configuration in tests

 -- Nicholas Skaggs <email address hidden>  Thu, 20 Oct 2016 15:28:12 +0200
Superseded in yakkety-proposed on 2016-11-01
juju-core (2.0.0-0ubuntu0.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0.0 (LP: #1617440)
  * d/copyright updated for 2.0.0 vendored packages.
  * Add sysctl files for lxd provider (LP: #1631038)
  * Update d/watch file
  * Add upstream signing key
  * Restore golang-golang-x-[crypto,net]-dev dependencies
  * Update bootstrap order for autpopkgtests for juju cli changes

 -- Nicholas Skaggs <email address hidden>  Thu, 20 Oct 2016 15:22:37 +0200
Superseded in zesty-proposed on 2016-10-31
juju-core (2.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release 2.0.0 (LP: #1617440)
  * d/copyright updated for 2.0.0 vendored packages.
  * Add sysctl files for lxd provider (LP: #1631038)
  * Update d/watch file
  * Add upstream signing key
  * Restore golang-golang-x-[crypto,net]-dev dependencies
  * Update bootstrap order for autpopkgtests for juju cli changes

 -- Nicholas Skaggs <email address hidden>  Thu, 20 Oct 2016 15:22:37 +0200
Superseded in zesty-release on 2017-01-13
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
juju-core (2.0~rc3-0ubuntu4.16.10.1) yakkety-proposed; urgency=medium

  * Also pass no_proxy to bootstrap

 -- Nicholas Skaggs <email address hidden>  Tue, 11 Oct 2016 11:10:06 -0400
Superseded in yakkety-proposed on 2016-10-11
juju-core (2.0~rc3-0ubuntu3.16.10.1) yakkety-proposed; urgency=medium

  * Fix lxd-provider test to utilize *_proxy settings and provide additional info

 -- Nicholas Skaggs <email address hidden>  Tue, 11 Oct 2016 08:09:25 -0400
Superseded in yakkety-proposed on 2016-10-11
juju-core (2.0~rc3-0ubuntu2.16.10.1) yakkety-proposed; urgency=medium

  * New upstream release 2.0-rc3
  * d/copyright Updated for 2.0-rc3 vendored packages.
  * d/t/setup-lxd.sh support lxd 2.0 and 2.3+ network configuration in
    tests.

 -- <email address hidden> (Curtis C. Hovey)  Thu, 06 Oct 2016 18:23:09 +0000
Superseded in yakkety-proposed on 2016-10-10
juju-core (2.0~rc3-0ubuntu1.16.10.1) yakkety-proposed; urgency=medium

  * New upstream release 2.0-rc3
  * d/copyright Updated for 2.0-rc3 vendored packages.
  * d/t/setup-lxd.sh support lxd 2.0 and 2.3+ network configuration in
    tests.

 -- <email address hidden> (Curtis C. Hovey)  Thu, 06 Oct 2016 18:23:09 +0000
Superseded in yakkety-proposed on 2016-10-08
juju-core (2.0~rc2-0ubuntu1.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0-rc2 (LP: #1617433)
  * Update autopkgtests
  * Drop 32-bit builds
  * Update debian/copyrights
  * Disable future manual provider test (LP: #1629376)
  * Remove golang-golang-x-[crypto,net]-dev dependencies temporarily (LP: #1629412)

 -- Nicholas Skaggs <email address hidden>  Fri, 30 Sep 2016 11:23:27 -0400
Superseded in yakkety-proposed on 2016-10-03
juju-core (2.0~beta17-0ubuntu1.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0-beta17

 -- Nicholas Skaggs <email address hidden>  Thu, 01 Sep 2016 13:08:58 -0400
Superseded in xenial-updates on 2016-11-14
Deleted in xenial-proposed on 2016-11-16 (Reason: moved to -updates)
juju-core (2.0~beta15-0ubuntu2.16.04.1) xenial-proposed; urgency=medium

  * Restore all arches to building
  * Apply patch for powerpc build
  * Re-add jujud to package (LP: #1608538)

 -- Nicholas Skaggs <email address hidden>  Fri, 18 Aug 2016 10:08:34 -0400
Superseded in yakkety-proposed on 2016-09-01
juju-core (2.0~beta15-0ubuntu5.16.10.1) yakkety; urgency=medium

  * Really restore all architectures for building

 -- Nicholas Skaggs <email address hidden>  Fri, 19 Aug 2016 12:14:05 -0400
Superseded in yakkety-proposed on 2016-08-19
juju-core (2.0~beta15-0ubuntu4.16.10.1) yakkety; urgency=medium

  * Restore all arches to building
  * Apply patch for powerpc build

 -- Nicholas Skaggs <email address hidden>  Fri, 19 Aug 2016 10:19:18 -0400
Superseded in yakkety-proposed on 2016-08-19
juju-core (2.0~beta15-0ubuntu2.16.10.1) yakkety; urgency=medium

  * Restrict architectures to 64-bit only

 -- Nicholas Skaggs <email address hidden>  Wed, 17 Aug 2016 15:55:47 -0400
Superseded in xenial-proposed on 2016-08-23
juju-core (2.0~beta15-0ubuntu1.16.04.1) xenial-proposed; urgency=medium

  * New upstream release 2.0-beta15 (LP: #1613718)
  * Update debian/copyright
  * Re-enable current-manual-provider test
  * Remove jujud from package
  * Remove golang-juju-loggo-dev dependency temporarily (LP: #1612713)

 -- Nicholas Skaggs <email address hidden>  Fri, 12 Aug 2016 10:08:34 -0400
Superseded in trusty-updates on 2017-05-26
Deleted in trusty-proposed on 2017-05-28 (Reason: moved to -updates)
juju-core (1.25.6-0ubuntu1.14.04.1) trusty-proposed; urgency=medium

  * New 1.25.6 upstream release. (LP: #1611855)

 -- Martin Packman <email address hidden>  Tue, 26 Jul 2016 19:03:51 +0000
Superseded in yakkety-proposed on 2016-08-17
juju-core (2.0~beta15-0ubuntu1.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0-beta15
  * Update debian/copyright
  * Re-enable current-manual-provider test
  * Remove jujud from package
  * Remove golang-juju-loggo-dev dependency temporarily (LP: #1612713)

 -- Nicholas Skaggs <email address hidden>  Fri, 12 Aug 2016 10:08:34 -0400
Superseded in xenial-updates on 2016-08-23
Deleted in xenial-proposed on 2016-08-25 (Reason: moved to -updates)
juju-core (2.0~beta12-0ubuntu1.16.04.1) xenial-proposed; urgency=medium

  [ Nicholas Skaggs ]
  * New upstream release 2.0-beta12 (LP: #1604137).
  * Update debian/copyright.
  * Add skip to current-manual-provider for bug 1605313 and bug 1605050
  * Fix adt test for manual-provider

  [ Martin Packman ]
  * Allow stripping of go binaries (LP: #1564662).
  * Mark juju-2.0 as conflicting and replacing old ppas (LP: #1600257).
  * Adjust where bash completion script is installed (LP: #1588403).

 -- Nicholas Skaggs <email address hidden>  Mon, 18 Jul 2016 14:00:19 -0400
Superseded in yakkety-release on 2016-10-12
Deleted in yakkety-proposed on 2016-10-13 (Reason: moved to release)
juju-core (2.0~beta12-0ubuntu3.16.10.1) yakkety; urgency=medium

  * Add skip to current-manual-provider for bug 1605313 and bug 1605050

 -- Nicholas Skaggs <email address hidden>  Thu, 21 Jul 2016 15:12:52 -0400
Superseded in yakkety-proposed on 2016-07-21
juju-core (2.0~beta12-0ubuntu2.16.10.1) yakkety; urgency=medium

  * Fix adt test for manual-provider

 -- Nicholas Skaggs <email address hidden>  Wed, 20 Jul 2016 09:19:42 -0400
Superseded in yakkety-proposed on 2016-07-20
juju-core (2.0~beta12-0ubuntu1.16.10.1) yakkety; urgency=medium

  [ Nicholas Skaggs ]
  * New upstream release 2.0-beta12 (LP: #1604137).
  * Update debian/copyright.

  [ Martin Packman ]
  * Allow stripping of go binaries (LP: #1564662).
  * Mark juju-2.0 as conflicting and replacing old ppas (LP: #1600257).
  * Adjust where bash completion script is installed (LP: #1588403).

 -- Nicholas Skaggs <email address hidden>  Mon, 18 Jul 2016 14:00:19 -0400
Superseded in yakkety-proposed on 2016-07-18
juju-core (2.0~beta10-0ubuntu1.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0-beta10 (LP: #1596920).
  * Update debian/copyright for licence changes.
  * Depend on golang-go >1.6 on all architectures.
  * Drop golang-github-lxc-lxd-dev dependency temporarily as a post-1.0 version
    is required but not yet released in the archive.
  * Drop golang-gopkg-lxc-go-lxc.v2-dev dependency as old lxc support is gone.
  * Update name of controller in lxd test.

 -- Martin Packman <email address hidden>  Tue, 28 Jun 2016 11:16:58 +0000
Superseded in xenial-updates on 2016-07-28
Deleted in xenial-proposed on 2016-07-29 (Reason: moved to -updates)
juju-core (2.0~beta7-0ubuntu1.16.04.1) xenial-proposed; urgency=medium

  * New upstream release 2.0-beta7 (LP: #1581645)

 -- Nicholas Skaggs <email address hidden>  Fri, 13 May 2016 15:22:03 -0400
Superseded in yakkety-release on 2016-07-21
Deleted in yakkety-proposed on 2016-07-23 (Reason: moved to release)
juju-core (2.0~beta7-0ubuntu1.16.10.1) yakkety; urgency=medium

  * New upstream release 2.0-beta7 (LP: #1581645)

 -- Nicholas Skaggs <email address hidden>  Fri, 13 May 2016 15:22:03 -0400
Obsolete in wily-updates on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to -updates)
juju-core (1.25.5-0ubuntu3~15.10.1) wily; urgency=medium

  * Backport of juju-core-1_1.25.5-0ubuntu3 to 15.10 (Lp: #1556981).
  * As the packages were renamed to juju-core-1 and juju-1, most changes
    to d/ are not backported.
    * d/copyright: Backported with changes to src
      Updated info for src/gopkg.in/juju/charm.v5/* to now match
      commit 84c8fe478fa1b1e67eb552831de5fd2603085c51
    * d/control: Added juju-1 to conflicts as a courtesy to users
      of alternate packages.

 -- <email address hidden> (Curtis C. Hovey)  Wed, 11 May 2016 18:21:51 +0000
Superseded in trusty-updates on 2016-08-17
Deleted in trusty-proposed on 2016-08-18 (Reason: moved to -updates)
juju-core (1.25.5-0ubuntu3~14.04.1) trusty; urgency=medium

  * Backport of juju-core-1_1.25.5-0ubuntu3 to 14.04 (Lp: #1556981).
  * As the packages were renamed to juju-core-1 and juju-1, most changes
    to d/ are not backported.
    * d/copyright: Backported with changes to src
      Updated info for src/gopkg.in/juju/charm.v5/* to now match
      commit 84c8fe478fa1b1e67eb552831de5fd2603085c51
    * d/control: Added juju-1 to conflicts as a courtesy to users
      of alternate packages.

 -- <email address hidden> (Curtis C. Hovey)  Fri, 13 May 2016 13:34:09 +0000
Superseded in yakkety-release on 2016-05-17
Deleted in yakkety-proposed on 2016-05-19 (Reason: moved to release)
juju-core (2.0~beta6-0ubuntu2.16.10.2) yakkety; urgency=medium

  * Add patch to fix up mongo arguments to fix autopkgtest on yakkety.
    (LP: #1581284)

 -- Michael Hudson-Doyle <email address hidden>  Fri, 13 May 2016 15:13:42 +1200
Superseded in yakkety-proposed on 2016-05-13
juju-core (2.0~beta6-0ubuntu2.16.10.1) yakkety; urgency=medium

  [ Martin Packman ]
  * Avoid autopkgtest failures from lack of support for 32-bit state servers.

  [ Michael Hudson-Doyle ]
  * New script for build setup to fit better with dh-golang expectations.

 -- Martin Packman <email address hidden>  Mon, 09 May 2016 16:38:25 +0000
Superseded in xenial-updates on 2016-05-25
Deleted in xenial-proposed on 2016-05-26 (Reason: moved to -updates)
juju-core (2.0~beta6-0ubuntu1.16.04.1) xenial-proposed; urgency=medium

  * New upstream release 2.0-beta6 (LP: #1573176).
  * Includes fixes for upstream bugs:
    - juju loses agents during a lxd deploy.
    - 'failed to ensure LXD image' creating LXD container.

 -- Martin Packman <email address hidden>  Tue, 26 Apr 2016 01:27:27 +0000
Superseded in yakkety-proposed on 2016-05-09
juju-core (2.0~beta6-0ubuntu1.16.10.1) yakkety; urgency=medium

  * Packaging version update to make way for additional distro
    specfic SRUs

 -- Adam Stokes <email address hidden>  Tue, 26 Apr 2016 14:01:13 -0400
Superseded in yakkety-proposed on 2016-04-26
juju-core (2.0~beta6-0ubuntu1) yakkety; urgency=medium

  * New upstream release 2.0-beta6 (LP: #1573176).
  * Includes fixes for upstream bugs:
    - juju loses agents during a lxd deploy.
    - 'failed to ensure LXD image' creating LXD container.

 -- Martin Packman <email address hidden>  Tue, 26 Apr 2016 01:27:27 +0000
Superseded in yakkety-release on 2016-05-13
Published in xenial-release on 2016-04-19
Deleted in xenial-proposed (Reason: moved to release)
juju-core (2.0~beta4-0ubuntu2) xenial; urgency=medium

  * Update debian/tests/ to work in the production network environment
    (LP: #1571082).

 -- Michael Hudson-Doyle <email address hidden>  Tue, 19 Apr 2016 21:20:58 +1200
Superseded in xenial-proposed on 2016-04-19
juju-core (2.0~beta4-0ubuntu1) xenial; urgency=medium

  * New upstream release 2.0-beta4.
  * Add juju-2.0 recommend on lxd.
  * Fix and update debian/tests for required lxd manual configuration.

 -- Martin Packman <email address hidden>  Thu, 14 Apr 2016 22:10:51 +0000
Superseded in xenial-proposed on 2016-04-15
juju-core (2.0~beta3-0ubuntu3) xenial; urgency=medium

  * Correctness tweaks to juju-2.0 wrapper script.
  * Use globs in lintian-overrides to avoid need for build time creation.

 -- Martin Packman <email address hidden>  Thu, 07 Apr 2016 11:31:36 +0000
Superseded in xenial-release on 2016-04-19
Deleted in xenial-proposed on 2016-04-20 (Reason: moved to release)
juju-core (1.25.0-0ubuntu3) xenial; urgency=medium

  * Add a patch to pass ImageStream config down to ubuntu-cloudimg-query
    tool. https://github.com/juju/juju/pull/4480

 -- Dimitri John Ledkov <email address hidden>  Fri, 19 Feb 2016 10:18:51 +0000
Superseded in xenial-release on 2016-02-19
Deleted in xenial-proposed on 2016-02-20 (Reason: moved to release)
juju-core (1.25.0-0ubuntu2) xenial; urgency=medium

  * Use golang-go on ppc64el and s390x, 32-bit powerpc is now the only one
    using gccgo.

 -- Dimitri John Ledkov <email address hidden>  Thu, 18 Feb 2016 18:19:19 +0000
Superseded in trusty-updates on 2016-05-26
Deleted in trusty-proposed on 2016-05-28 (Reason: moved to -updates)
juju-core (1.24.7-0ubuntu1~14.04.1) trusty; urgency=medium

  [ Curtis C. Hovey ]
  * Backport of 1.24.7 from vivid. (Lp: #1506652)

  [ Robie Basak ]
  * This upload results in the following packaging delta from the previous
    1.22.8-0ubuntu1~14.04.1 in trusty-updates:
    - d/copyright: updated.
    - d/control: gccgo-5 [!amd64 !i386 !armhf] now preferred over gccgo-go
      [!amd64 !i386 !armhf], which is a no-op on Trusty since gccgo-5 doesn't
      exist in Trusty. This minimises the backport delta.
    - d/tests: dep8 tests updated from Xenial.

 -- <email address hidden> (Curtis C. Hovey)  Fri, 16 Oct 2015 19:20:29 +0000
Obsolete in vivid-updates on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to -updates)
juju-core (1.24.7-0ubuntu1~15.04.1) vivid; urgency=medium

  * New upstream microrelease. (Lp: #1506652)
  * Update dep8 tests from Xenial.

 -- <email address hidden> (Curtis C. Hovey)  Fri, 16 Oct 2015 17:52:18 +0000
Superseded in wily-updates on 2016-05-26
Deleted in wily-proposed on 2016-05-28 (Reason: moved to -updates)
juju-core (1.25.0-0ubuntu1~15.10.1) wily; urgency=medium

  * No change backport to 15.10 (LP: #1510565).

 -- Robie Basak <email address hidden>  Thu, 29 Oct 2015 11:25:46 +0000
Superseded in xenial-release on 2016-02-18
Deleted in xenial-proposed on 2016-02-20 (Reason: moved to release)
juju-core (1.25.0-0ubuntu1) xenial; urgency=medium

  * New upstream release (Lp: #1510565).
  * d/copyright updated for Juju 1.25.0 (Last verified commit changes).
  * d/tests/* Removed init-system switch because Juju supports upstart
    and systemd. Do not test future on non-systemd releases.

 -- <email address hidden> (Curtis C. Hovey)  Fri, 23 Oct 2015 18:30:04 +0000
Superseded in xenial-release on 2015-10-30
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
juju-core (1.24.6-0ubuntu3) wily; urgency=medium

  * Fix fake-future dep8 tests:
    - Correct the date format string so it uses months as intended
      instead of generating invalid dates. Thanks to Colin Watson.
    - Fix /etc/os-release generation when the faked release is an LTS:
      VERSION_ID should not contain "LTS".

 -- Robie Basak <email address hidden>  Wed, 21 Oct 2015 17:07:29 +0000

Available diffs

Superseded in wily-release on 2015-10-21
Superseded in wily-release on 2015-10-20
Deleted in wily-proposed on 2015-10-23 (Reason: moved to release)
juju-core (1.24.6-0ubuntu2) wily; urgency=medium

  * Updates to support MIR in Ubuntu:
    - d/control: Add BD's on go.crypto, go.net, juju-loggo,
      github-bmizerany-pat and go-dbus golang-*-dev packages.
    - d/rules: Tweak GOPATH configuration and link in any shared go
      dependencies from /usr/share/gocode to ensure that distribution
      -dev packages are preferred over embedded copies in juju source.
    - d/control,rules: Add BD on dh-golang, enable Built-Using field to
      ensure -dev dependencies can be tracked effectively.

 -- James Page <email address hidden>  Mon, 19 Oct 2015 22:43:27 +0100
Superseded in vivid-updates on 2015-11-09
Deleted in vivid-proposed on 2015-11-11 (Reason: moved to -updates)
juju-core (1.24.6-0ubuntu1~15.04.1) vivid; urgency=medium

  * Backport of 1.24.6 from wily. (LP: #1500916, #1497087)

 -- <email address hidden> (Curtis C. Hovey)  Tue, 29 Sep 2015 19:43:29 +0000
Superseded in trusty-updates on 2015-11-11
Deleted in trusty-proposed on 2015-11-13 (Reason: moved to -updates)
juju-core (1.22.8-0ubuntu1~14.04.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1483885).
    - Juju uses proxy to access bootstrap node (Lp: #1478660).
    - Juju environment not usable after the upgrade (Lp: #1473517).

 -- <email address hidden> (Curtis C. Hovey)  Tue, 11 Aug 2015 15:05:03 +0000
Superseded in wily-release on 2015-10-20
Deleted in wily-proposed on 2015-10-21 (Reason: moved to release)
juju-core (1.24.6-0ubuntu1) wily; urgency=medium

  * New upstream release (LP: #1481556).
  * d/copyright updated for Juju 1.24.6 (Last verified commit changes).
  * d/tests/* Run tests with upstart when Juju version before 1.23.
  * Prefer gccgo-5 for ppc64el and arm64 in build-deps.

 -- <email address hidden> (Curtis C. Hovey)  Wed, 22 Sep 2015 15:27:01 +0000
Superseded in trusty-updates on 2015-10-29
Deleted in trusty-proposed on 2015-10-30 (Reason: moved to -updates)
juju-core (1.22.6-0ubuntu1~14.04.1) trusty; urgency=medium

  * No change backport to 14.04 (LP: #1469744). This results in the
    following packaging delta from the previous 1.20.11-0ubuntu0.14.04.1
    in trusty-updates:
    - distro-info added and libgo5 removed from Build-Depends.
    - Standards-Version bumped.
    - cloud-image-utils | cloud-utils added to juju-local Depends.
    - d/copyright updated.
    - dep8 tests updated.

 -- Robie Basak <email address hidden>  Wed, 15 Jul 2015 13:09:07 +0000
Superseded in wily-release on 2015-09-28
Deleted in wily-proposed on 2015-09-30 (Reason: moved to release)
juju-core (1.22.6-0ubuntu1) wily; urgency=medium

  * New upstream bugfix release.
  * d/copyright updated for Juju 1.22.6 (Last verified commit changes).

 -- <email address hidden> (Curtis C. Hovey)  Thu, 25 Jun 2015 18:25:00 +0000
Superseded in wily-proposed on 2015-07-15
juju-core (1.22.5-0ubuntu2) wily; urgency=medium

  * Add distro-info to build-depends because juju's list of series can
    be stale.

 -- <email address hidden> (Curtis C. Hovey)  Mon, 15 Jun 2015 17:54:22 +0000

Available diffs

Superseded in wily-proposed on 2015-06-18
juju-core (1.22.5-0ubuntu1) wily; urgency=medium

  * New upstream bugfix release (Lp: #1462001).
  * d/copyright: Updated to reflect changes in the codebase.

 -- <email address hidden> (Curtis C. Hovey)  Fri, 05 Jun 2015 17:40:37 +0000

Available diffs

Superseded in trusty-proposed on 2015-07-17
juju-core (1.22.1-0ubuntu0.14.04.1) trusty; urgency=medium

  * New upstream release (LP: #1444037).
  * Packaging changes required by the new release and cherry-picked from Vivid:
    - d/tests/fake-future.sh: New ability to generate fake /etc/os-release.
      Change is needed to provide Juju 1.22.1 with an appropriate testbed.
    - d/control: Juju-local now depends on cloud-image-utils | cloud-utils.
      Juju uses ubuntu-cloud template which in turn uses cloud-image-utils.
      Package lxc-templates only recommends cloud-image-utils hence Juju needs
      to require this package directly. Package cloud-utils is mentioned as an
      alternative because cloud-image-utils is not available on precise but we
      want to unify Juju packaging for all supported releases.
    - d/copyright: Updated to reflect changes in the codebase.
  * Compliance to Debian Policy 3.9.6 was declared.
 -- Oleg Strikov <email address hidden>   Wed, 15 Apr 2015 12:41:13 +0000
Superseded in wily-release on 2015-07-21
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
juju-core (1.22.1-0ubuntu1) vivid; urgency=medium

  * New upstream bugfix release (LP: #1444037).
  * Autopkgtests were changed to switch back to upstart before running their
    workload. This is needed because juju < 1.23 doesn't support systemd.
  * d/patches/fix-detect-new-release.patch: Removed because applied upstream.
  * d/copyright: Updated to reflect changes in the codebase.
 -- Oleg Strikov <email address hidden>   Tue, 14 Apr 2015 14:11:54 +0000
Superseded in vivid-release on 2015-04-16
Deleted in vivid-proposed on 2015-04-17 (Reason: moved to release)
juju-core (1.22.0-0ubuntu1) vivid; urgency=medium

  * New upstream release (LP: #1416051).
  * d/patches/fix-detect-new-release.patch: Added upstream patch to redeem
    the ability to handle future Ubuntu releases (LP: #1427879, #1434092).
  * d/tests/fake-future.sh: New ability to generate fake /etc/os-release.
  * d/copyright: Updated to reflect changes in the codebase.
  * d/control:
    - Change build dependency from gccgo to gccgo-go.
    - Use either cloud-image-utils or cloud-utils as dependency for juju-local
      because cloud-image-utils is not available on precise.
    - Compliance to Debian Policy 3.9.6 was declared.
 -- Oleg Strikov <email address hidden>   Thu, 26 Mar 2015 15:54:39 +0300
Superseded in vivid-release on 2015-04-07
Deleted in vivid-proposed on 2015-04-08 (Reason: moved to release)
juju-core (1.20.14-0ubuntu3) vivid; urgency=medium

  * Drop the build dependencies on gccgo-go and libgo5, build-depend on
    gccgo instead.
 -- Matthias Klose <email address hidden>   Sat, 07 Mar 2015 22:39:45 +0100
175 of 122 results